Signatures

GET https://olinke.com/api/signatures/
curl --request GET \
--url 'https://olinke.com/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
Paramètres Détails Description
search Optionnel Chaîne La chaîne de recherche.
search_by Optionnel Chaîne Quel champ recherchez-vous ? Les valeurs autorisées sont : name.
datetime_field Optionnel Chaîne Valeurs autorisées : datetime, last_datetime
datetime_start Optionnel Chaîne Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optionnel Chaîne Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optionnel Chaîne Quel champ pour trier les résultats. Les valeurs autorisées sont : signature_id, datetime, last_datetime, name.
order_type Optionnel Chaîne L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant.
page Optionnel Entier Le numéro de page dont vous souhaitez obtenir les résultats. Par défaut, c'est 1.
results_per_page Optionnel Entier Combien de résultats souhaitez-vous par page ? Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-08-14 15:27:18"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://olinke.com/api/signatures?page=1",
        "last": "https://olinke.com/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://olinke.com/api/signatures?page=1"
    }
}
GET https://olinke.com/api/signatures/{signature_id}
curl --request GET \
--url 'https://olinke.com/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-14 15:27:18"
    }
}
POST https://olinke.com/api/signatures
Paramètres Détails Description
name Requis Chaîne Nom
project_id Optionnel Entier Un projet vous aidera à catégoriser vos ressources.
template Optionnel Chaîne Valeurs autorisées : plain_text, mars, mercury, venus, nova
direction Optionnel Chaîne Valeurs autorisées : ltr, rtl
is_removed_branding Optionnel Booléen Remove branding
image_url Optionnel Chaîne Only use JPG, JPEG, GIF, PNG images.
sign_off Optionnel Chaîne Sign off
full_name Optionnel Chaîne Full name
job_title Optionnel Chaîne Job title
department Optionnel Chaîne Department
company Optionnel Chaîne Company
email Optionnel Chaîne Email
website_name Optionnel Chaîne Website name
website_url Optionnel Chaîne Website URL
address Optionnel Chaîne Address
address_url Optionnel Chaîne Link to a Google maps location, for example.
phone_number Optionnel Chaîne Phone number
whatsapp Optionnel Chaîne WhatsApp
facebook_messenger Optionnel Chaîne Facebook messenger username
telegram Optionnel Chaîne Telegram username
disclaimer Optionnel Chaîne Disclaimer text
font_family Optionnel Chaîne Valeurs autorisées : arial, verdana, helvetica, times_new_roman, georgia
font_size Optionnel Entier Valeurs autorisées : 12-18
width Optionnel Entier Valeurs autorisées : 300-600
image_width Optionnel Entier Valeurs autorisées : 45-150
image_border_radius Optionnel Entier Valeurs autorisées : 0-100
socials_width Optionnel Entier Valeurs autorisées : 15-30
socials_padding Optionnel Entier Valeurs autorisées : 5-15
separator_size Optionnel Entier Valeurs autorisées : 0-5
border_radius Optionnel Entier Valeurs autorisées : 0-30
background_color Optionnel Chaîne Background color
border_color Optionnel Chaîne Border color
theme_color Optionnel Chaîne Theme color
full_name_color Optionnel Chaîne Full name color
text_color Optionnel Chaîne Text color
link_color Optionnel Chaîne Link color
facebook Optionnel Chaîne Facebook username
threads Optionnel Chaîne Threads username
x Optionnel Chaîne X username
instagram Optionnel Chaîne Instagram username
youtube Optionnel Chaîne YouTube channel
tiktok Optionnel Chaîne TikTok username
spotify Optionnel Chaîne Spotify username
pinterest Optionnel Chaîne Pinterest username
linkedin Optionnel Chaîne LinkedIn username
snapchat Optionnel Chaîne Snapchat username
twitch Optionnel Chaîne Twitch username
discord Optionnel Chaîne Discord user id
github Optionnel Chaîne Github username
reddit Optionnel Chaîne Reddit username
curl --request POST \
--url 'https://olinke.com/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-14 15:27:18"
    }
}
POST https://olinke.com/api/signatures/{signature_id}
Paramètres Détails Description
name Optionnel Chaîne Nom
project_id Optionnel Entier Un projet vous aidera à catégoriser vos ressources.
template Optionnel Chaîne Valeurs autorisées : plain_text, mars, mercury, venus, nova
direction Optionnel Chaîne Valeurs autorisées : ltr, rtl
is_removed_branding Optionnel Booléen Remove branding
image_url Optionnel Chaîne Only use JPG, JPEG, GIF, PNG images.
sign_off Optionnel Chaîne Sign off
full_name Optionnel Chaîne Full name
job_title Optionnel Chaîne Job title
department Optionnel Chaîne Department
company Optionnel Chaîne Company
email Optionnel Chaîne Email
website_name Optionnel Chaîne Website name
website_url Optionnel Chaîne Website URL
address Optionnel Chaîne Address
address_url Optionnel Chaîne Link to a Google maps location, for example.
phone_number Optionnel Chaîne Phone number
whatsapp Optionnel Chaîne WhatsApp
facebook_messenger Optionnel Chaîne Facebook messenger username
telegram Optionnel Chaîne Telegram username
disclaimer Optionnel Chaîne Disclaimer text
font_family Optionnel Chaîne Valeurs autorisées : arial, verdana, helvetica, times_new_roman, georgia
font_size Optionnel Entier Valeurs autorisées : 12-18
width Optionnel Entier Valeurs autorisées : 300-600
image_width Optionnel Entier Valeurs autorisées : 45-150
image_border_radius Optionnel Entier Valeurs autorisées : 0-100
socials_width Optionnel Entier Valeurs autorisées : 15-30
socials_padding Optionnel Entier Valeurs autorisées : 5-15
separator_size Optionnel Entier Valeurs autorisées : 0-5
border_radius Optionnel Entier Valeurs autorisées : 0-30
background_color Optionnel Chaîne Background color
border_color Optionnel Chaîne Border color
theme_color Optionnel Chaîne Theme color
full_name_color Optionnel Chaîne Full name color
text_color Optionnel Chaîne Text color
link_color Optionnel Chaîne Link color
facebook Optionnel Chaîne Facebook username
threads Optionnel Chaîne Threads username
x Optionnel Chaîne X username
instagram Optionnel Chaîne Instagram username
youtube Optionnel Chaîne YouTube channel
tiktok Optionnel Chaîne TikTok username
spotify Optionnel Chaîne Spotify username
pinterest Optionnel Chaîne Pinterest username
linkedin Optionnel Chaîne LinkedIn username
snapchat Optionnel Chaîne Snapchat username
twitch Optionnel Chaîne Twitch username
discord Optionnel Chaîne Discord user id
github Optionnel Chaîne Github username
reddit Optionnel Chaîne Reddit username
curl --request POST \
--url 'https://olinke.com/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-08-14 15:27:18",
        "datetime": "2026-08-14 15:27:18"
    }
}
DELETE https://olinke.com/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://olinke.com/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \